This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 618496

Summary: bright control not work in "intel HD graphics"
Product: [Fedora] Fedora Reporter: Felipe Aranda G <felipe>
Component: gnome-power-managerAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 13CC: felipe, jskala, richard, ted
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-29 08:55:51 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Felipe Aranda G 2010-07-27 01:01:52 EDT
Description of problem:

In gnome, when you press the brightness control keys, it displays the icon that shows the brightness level change and modify the values of / proc/acpi/video/GFX0/DD02/brightness

Example:

$ cat / proc/acpi/video/GFX0/DD02/brightness
Levels: 10 20 30 40 50 60 70 80 90 100
current: 10

$ cat / proc/acpi/video/GFX0/DD02/brightness
Levels: 10 20 30 40 50 60 70 80 90 100
current: 100

Version-Release number of selected component (if applicable):

Fedora 13, kernel 2.6.33.6-147.fc13.x86_64 SMP
acpid-1.0.10-2.fc12.x86_64

How reproducible:
The problem is permanent. You can not change the brightness of the screen.

Steps to Reproduce:
1. just install fedora 13 on Intel core i5 with new HD graphics video controller
2.
3.
  
Actual results:


Expected results:
make the brightness control keys work properly, allowing to save battery power

Additional info:
The hardware of my laptop is Acer Aspire 4741-6628 with Intel i5-430M and "Intel HD graphics"
Comment 1 Ted Felix 2010-07-27 10:10:05 EDT
This is unlikely to be related in any way to the acpid.  acpid is disabled when running GNOME.  More likely there's a driver issue.
Comment 2 Felipe Aranda G 2010-07-29 13:42:28 EDT
You're right, gnome works with gnome-power-manager and HAL.

Maybe it's a driver problem, although I have no problem with the graphics. Convinces me more the idea that is related to power management.

I'll pass this error in gnome-power-management.

Thank you.
Comment 3 Felipe Aranda G 2010-07-29 13:52:18 EDT
Hello everyone,
I tried the following:


$ cat  /sys/devices/virtual/backlight/acpi_video0/brightness 
9

$ cat  /sys/devices/virtual/backlight/acpi_video0/brightness 
0

Function keys for brightness control changes the values, but the brightness level does not change.


Some values from lshal:


udi = '/org/freedesktop/Hal/devices/computer'
  info.addons = {'hald-addon-acpi'} (string list)
  info.callouts.add = {'hal-storage-cleanup-all-mountpoints'} (string list)
  info.interfaces = {'org.freedesktop.Hal.Device.SystemPowerManagement'} (string list)
  info.product = 'Computer'  (string)
  info.subsystem = 'unknown'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer'  (string)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_argnames = {'num_seconds_to_sleep', 'num_seconds_to_sleep', '', '', '', 'enable_power_save'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_execpaths = {'hal-system-power-suspend', 'hal-system-power-suspend-hybrid', 'hal-system-power-hibernate', 'hal
-system-power-shutdown', 'hal-system-power-reboot', 'hal-system-power-set-power-save'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_names = {'Suspend', 'SuspendHybrid', 'Hibernate', 'Shutdown', 'Reboot', 'SetPowerSave'} (string list)
  org.freedesktop.Hal.Device.SystemPowerManagement.method_signatures = {'i', 'i', '', '', '', 'b'} (string list)
  org.freedesktop.Hal.version = '0.5.14'  (string)
  org.freedesktop.Hal.version.major = 0  (0x0)  (int)
  org.freedesktop.Hal.version.micro = 14  (0xe)  (int)
  org.freedesktop.Hal.version.minor = 5  (0x5)  (int)
  power_management.acpi.linux.version = '20091214'  (string)
  power_management.can_hibernate = true  (bool)
  power_management.can_suspend = true  (bool)
  power_management.can_suspend_hybrid = false  (bool)
  power_management.can_suspend_to_disk = true  (bool)
  power_management.can_suspend_to_ram = true  (bool)
  power_management.is_powersave_set = false  (bool)
  power_management.quirk.dpms_on = true  (bool)
  power_management.quirk.dpms_suspend = true  (bool)
  power_management.quirk.vbe_post = true  (bool)
  power_management.quirk.vbemode_restore = true  (bool)
  power_management.quirk.vbestate_restore = true  (bool)
  power_management.quirk.vga_mode_3 = true  (bool)
  power_management.type = 'acpi'  (string)
  system.board.product = 'Aspire 4741'  (string)
  system.board.serial = 'LXPXH020080150C46E2000'  (string)
  system.board.vendor = 'Acer'  (string)
  system.board.version = 'Rev'  (string)
  system.chassis.manufacturer = 'Acer'  (string)
  system.chassis.type = 'Notebook'  (string)
  system.firmware.release_date = '03/02/2010'  (string)
  system.firmware.vendor = 'Phoenix Technologies LTD'  (string)
  system.firmware.version = 'V1.04'  (string)
  system.formfactor = 'laptop'  (string)
  system.hardware.primary_video.product = 70  (0x46)  (int)
  system.hardware.primary_video.vendor = 32902  (0x8086)  (int)
  system.hardware.product = 'Aspire 4741'  (string)
  system.hardware.serial = 'LXPXH020080150C46E2000'  (string)
  system.hardware.uuid = 'F263F980-4BF3-11DF-9F61-E44173AE8595'  (string)
  system.hardware.vendor = 'Acer'  (string)
  system.hardware.version = 'Rev'  (string)
  system.kernel.machine = 'x86_64'  (string)
  system.kernel.name = 'Linux'  (string)
  system.kernel.version = '2.6.33.6-147.fc13.x86_64'  (string)
  system.kernel.version.major = 2  (0x2)  (int)
  system.kernel.version.micro = 33  (0x21)  (int)
  system.kernel.version.minor = 6  (0x6)  (int)




udi = '/org/freedesktop/Hal/devices/computer_backlight'
  info.addons = {'hald-addon-generic-backlight'} (string list)
  info.capabilities = {'laptop_panel'} (string list)
  info.category = 'laptop_panel'  (string)
  info.interfaces = {'org.freedesktop.Hal.Device.LaptopPanel'} (string list)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.product = 'Generic Backlight Device'  (string)
  info.subsystem = 'backlight'  (string)
  info.udi = '/org/freedesktop/Hal/devices/computer_backlight'  (string)
  laptop_panel.access_method = 'general'  (string)
  laptop_panel.brightness_in_hardware = false  (bool)
  laptop_panel.num_levels = 10  (0xa)  (int)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'backlight'  (string)
  linux.sysfs_path = '/sys/devices/virtual/backlight/acpi_video0'  (string)
Comment 4 Felipe Aranda G 2010-07-29 14:04:22 EDT
More info...

I have the intel i910 driver, but my video driver is an intel HD graphics

$ lsmod |grep video

uvcvideo               53873  0 
videodev               35123  1 uvcvideo
v4l1_compat            12570  2 uvcvideo,videodev
v4l2_compat_ioctl32     9793  1 videodev
i2c_core               24507  6 videodev,i2c_i801,i915,drm_kms_helper,drm,i2c_algo_bit
video                  20741  1 i915
output                  2117  1 video


$ modinfo video

filename:       /lib/modules/2.6.33.6-147.fc13.x86_64/kernel/drivers/acpi/video.ko
license:        GPL
description:    ACPI Video Driver
author:         Bruno Ducrot
srcversion:     FAF8A980798680EB6026B6B
alias:          acpi*:LNXVIDEO:*
depends:        output
vermagic:       2.6.33.6-147.fc13.x86_64 SMP mod_unload 
parm:           brightness_switch_enabled:bool
parm:           allow_duplicates:bool


$ modinfo i915

filename:       /lib/modules/2.6.33.6-147.fc13.x86_64/kernel/drivers/gpu/drm/i915/i915.ko
license:        GPL and additional rights
description:    Intel Graphics
author:         Tungsten Graphics, Inc.
license:        GPL and additional rights
srcversion:     A152491F8E8FF56466A9E3B
alias:          pci:v00008086d00000106sv*sd*bc03sc00i*
alias:          pci:v00008086d00000102sv*sd*bc03sc00i*
alias:          pci:v00008086d00000046sv*sd*bc03sc00i*
alias:          pci:v00008086d00000042sv*sd*bc03sc00i*
alias:          pci:v00008086d0000A011sv*sd*bc03sc00i*
alias:          pci:v00008086d0000A001sv*sd*bc03sc00i*
alias:          pci:v00008086d00002E42sv*sd*bc03sc00i*
alias:          pci:v00008086d00002E32sv*sd*bc03sc00i*
alias:          pci:v00008086d00002E22sv*sd*bc03sc00i*
alias:          pci:v00008086d00002E12sv*sd*bc03sc00i*
alias:          pci:v00008086d00002E02sv*sd*bc03sc00i*
alias:          pci:v00008086d00002A42sv*sd*bc03sc00i*
alias:          pci:v00008086d00002A12sv*sd*bc03sc00i*
alias:          pci:v00008086d00002A02sv*sd*bc03sc00i*
alias:          pci:v00008086d000029D2sv*sd*bc03sc00i*
alias:          pci:v00008086d000029C2sv*sd*bc03sc00i*
alias:          pci:v00008086d000029B2sv*sd*bc03sc00i*
alias:          pci:v00008086d000029A2sv*sd*bc03sc00i*
alias:          pci:v00008086d00002992sv*sd*bc03sc00i*
alias:          pci:v00008086d00002982sv*sd*bc03sc00i*
alias:          pci:v00008086d00002972sv*sd*bc03sc00i*
alias:          pci:v00008086d000027AEsv*sd*bc03sc00i*
alias:          pci:v00008086d000027A2sv*sd*bc03sc00i*
alias:          pci:v00008086d00002772sv*sd*bc03sc00i*
alias:          pci:v00008086d00002592sv*sd*bc03sc00i*
alias:          pci:v00008086d0000258Asv*sd*bc03sc00i*
alias:          pci:v00008086d00002582sv*sd*bc03sc00i*
alias:          pci:v00008086d00002572sv*sd*bc03sc00i*
alias:          pci:v00008086d0000358Esv*sd*bc03sc00i*
alias:          pci:v00008086d00003582sv*sd*bc03sc00i*
alias:          pci:v00008086d00002562sv*sd*bc03sc00i*
alias:          pci:v00008086d00003577sv*sd*bc03sc00i*
depends:        drm,drm_kms_helper,i2c-core,video,i2c-algo-bit
vermagic:       2.6.33.6-147.fc13.x86_64 SMP mod_unload 
parm:           modeset:int
parm:           fbpercrtc:int
parm:           powersave:int
parm:           lvds_downclock:int
Comment 5 Bug Zapper 2011-06-01 08:45:51 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-29 08:55:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.